import type { LayoutServerLoad } from './$types';

export const load = (async () => {
	async function loadData() {
		try {
			const response = await fetch('http://127.0.0.1:7501/api/v1.0/info');
			if (response.ok) {
				const data = await response.json();
				return {
					updatedAt: data?.stats_updated_at,
					version: data?.version
				};
			}
			return {
				error: `${response.status} - ${response.statusText}`
			};
		} catch (err) {
			console.log(err);
			return { error: `${err}` };
		}
	}
	return await loadData();
}) satisfies LayoutServerLoad;
