import type { TotalPlayers } from '$lib/types';
import type { PageServerLoad } from './$types';

export const load = (async () => {
	async function loadData() {
		const headers = {
			'X-API-Key': 'cd32db47-d09b-4313-b8f1-f13076ac977f'
		};
		try {
			const response = await fetch('http://127.0.0.1:7501/api/v1.0/players/totals', {
				headers
			});
			if (response.ok) {
				const data = (await response.json()) as TotalPlayers;
				return data;
			}
			console.log(`${response.status} - ${response.statusText}`);
			return {
				error: `${response.status} - ${response.statusText}`
			};
		} catch (err) {
			console.log(err);
			return { error: `${err}` };
		}
	}
	return await loadData();
}) satisfies PageServerLoad;
